array File Reference

Go to the source code of this file.

## Classes

struct | std::array< _Tp, _Nm >
struct | std::tuple_element< _Ind, array< _Tp, _Nm > >
struct | std::tuple_size< array< _Tp, _Nm > >

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_array_constexpr
#define | __glibcxx_want_freestanding_array
#define | __glibcxx_want_nonmember_container_access
#define | __glibcxx_want_to_array
#define | _GLIBCXX_ARRAY

## Functions

template<typename _Tp, typename... _Up>
| std::array (_Tp, _Up...) -> array< enable_if_t<(is_same_v< _Tp, _Up > &&...), _Tp >, 1+sizeof...(_Up)>
template<std::size_t _Int, typename _Tp, std::size_t _Nm>
constexpr _Tp && | std::get (array< _Tp, _Nm > &&__arr) noexcept
template<std::size_t _Int, typename _Tp, std::size_t _Nm>
constexpr _Tp & | std::get (array< _Tp, _Nm > &__arr) noexcept
template<std::size_t _Int, typename _Tp, std::size_t _Nm>
constexpr const _Tp && | std::get (const array< _Tp, _Nm > &&__arr) noexcept
template<std::size_t _Int, typename _Tp, std::size_t _Nm>
constexpr const _Tp & | std::get (const array< _Tp, _Nm > &__arr) noexcept
template<typename _Tp, size_t _Nm>
constexpr __detail::__synth3way_t< _Tp > | std::operator<=> (const array< _Tp, _Nm > &__a, const array< _Tp, _Nm > &__b)
template<typename _Tp, std::size_t _Nm>
constexpr bool | std::operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp, std::size_t _Nm>
__enable_if_t<!__array_traits< _Tp, _Nm >::_Is_swappable::value > | std::swap (array< _Tp, _Nm > &, array< _Tp, _Nm > &)=delete
template<typename _Tp, std::size_t _Nm>
constexpr __enable_if_t< __array_traits< _Tp, _Nm >::_Is_swappable::value > | std::swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two) noexcept(noexcept(__one.swap(__two)))

## Variables

template<typename _Tp, size_t _Nm>
constexpr size_t | std::tuple_size_v< array< _Tp, _Nm > >
template<typename _Tp, size_t _Nm>
constexpr size_t | std::tuple_size_v< const array< _Tp, _Nm > >

## Detailed Description

This is a Standard C++ Library header.

Definition in file array.

## Macro Definition Documentation

## __glibcxx_want_array_constexpr

#define __glibcxx_want_array_constexpr

Definition at line 50 of file array.

## __glibcxx_want_freestanding_array

#define __glibcxx_want_freestanding_array

Definition at line 51 of file array.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 52 of file array.

## __glibcxx_want_to_array

#define __glibcxx_want_to_array

Definition at line 53 of file array.

## _GLIBCXX_ARRAY

#define _GLIBCXX_ARRAY

Definition at line 30 of file array.